Internet Explorer 8, 9 and 10 – Outta Here!

Client Portal issue

 

As of today, Microsoft will no longer provide support for old Internet Explorer versions, including versions 8, 9 and 10.

How does this affect our clients?

When logging into our Client Portal to complete the census data request via PlanSponsor Link using Internet Explorer 8, you will see a warning message stating that the browser is no longer supported. With this change, we highly recommend that you switch to the most current version of Internet Explorer, version 11, Chrome or the Firefox browser to complete your census.

Other Concerns

Microsoft will no longer provide security updates or technical support for any old versions of their browser. This may compromise the security of your browsing and your computer system. Microsoft also strongly urges Internet Explorer users to make the switch to version 11, which will receive full support, as well as “improved security, increased performance, better backward compatibility.”

If you have any questions about how this may affect your access to our Client Portal, please contact us.

– The TriStar Pension Consulting Team

Leave a Reply

Your email address will not be published. Required fields are marked *